Draft Arc par 3 points

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Arc 3Points and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente : Draft Arc.svg Arc
Page suivante : Cercle Draft Circle.svg Arrow-right.svg

Draft Arc 3Points.svg Draft Arc par 3 points

Emplacement du menu
Drafting → Outils Arc → Arc by 3 points
Ateliers
Draft, Arch
Raccourci par défaut
A T
Introduit dans la version
0.19
Voir aussi
Draft Arc, Draft Cercle

Description

La commande Draft Arc 3Points.svg Draft Arc par 3 points crée un arc de cercle dans le plan de travail en cours à partir de trois points qui définissent sa circonférence. Le centre et le rayon sont calculés à partir de ces points.

Un Draft Arc est en fait un Draft Cercle dont la DonnéesFirst Angle n'est pas la même que sa DonnéesLast Angle.

Draft Arc 3Points example.png

Arc defini par trois points passant par la circonférence

Utilisation

Voir aussi : Draft La barre, Draft Accrochage et Draft Contrainte.

  1. Il existe plusieurs façons d'invoquer la commande :
  2. Le panneau de tâches Arc par 3 points s'ouvre. Voir Options pour plus d'informations.
  3. Choisissez le premier point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  4. Choisissez le deuxième point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  5. Choisissez le troisième point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez la composante X, Y et Z, et appuyez sur Entrée après chacune. Ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Appuyez sur R ou cliquez sur la case Relative pour activer le mode relatif. Si le mode relatif est activé, les coordonnées sont relatives au dernier point, si disponible, sinon elles sont relatives à l'origine du système de coordonnées.
  • Appuyez sur G ou cliquez sur la case Global pour activer le mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour abandonner la commande.

Remarques

  • Un Draft Arc peut être édité avec la commande Draft Editer.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées, des rayons et des angles : Édition → Préférences... → Général → Unités → Système d'unités → Nombre de décimales.
  • Si Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Utiliser les primitives de Part si possibles est cochée, la commande créera une Part Feature non modifiable au lieu d'un Draft Cercle.

Propriétés

Voir Draft Cercle.

Script

Voir aussi : Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer un Draft Arc par 3 points, utilisez la méthode make_arc_3points du module Draft :

arc = make_arc_3points(points, placement=None, face=False, support=None, map_mode="Deactivated", primitive=False)
  • Crée un objet arc à partir de la liste donnée points.
  • Si un placement est donné, le centre de l'arc circulaire sera déplacé à cet endroit. Voir Positionnement pour plus d'informations.
  • Si face est True, l'arc fera une surface, c'est-à-dire qu'il apparaîtra rempli.
  • Si support est donné, c'est un LinkSubList, c'est-à-dire une liste indiquant un objet et un sous-élément de cet objet. Ceci est utilisé pour que l'objet apparaisse référencé à ce support.
Par exemple, support=[(obj, ("Face1"))]
  • Si map_mode est donné, il s'agit d'une chaîne définissant un type de mappage, par exemple, map_mode='FlatFace', map_mode='ThreePointsPlane' etc. Voir Part Ancrage pour plus d'informations.
  • Si primitive est True, l'arc créé sera un simple Part Fonctionnalité, non un objet Draft complexe.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

points = [App.Vector(0, 0, 0),
          App.Vector(5, 10, 0),
          App.Vector(10, 0, 0)]

arc = Draft.make_arc_3points(points)

doc.recompute()


Arrow-left.svg Page précédente : Draft Arc.svg Arc
Page suivante : Cercle Draft Circle.svg Arrow-right.svg